import { Component, EventEmitter, Input, Output } from '@angular/core';

@Component({
  selector: 'app-appointment-choice',
  templateUrl: './appointment-choice.component.html',
  styleUrls: ['./appointment-choice.component.scss'],
})
export class AppointmentChoiceComponent {
  @Input() selectedRdvChoice: boolean | null;
  @Output() validateForm = new EventEmitter<any>();
  @Output() rdvChoice = new EventEmitter<boolean>();

  public onRdvChoiceChange(value: boolean): void {
    this.rdvChoice.emit(value);
    this.validateForm.emit();
  }
}
